package se.liu.ida.tdde46.resources;

import java.util.concurrent.atomic.AtomicLong;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

import com.codahale.metrics.annotation.Timed;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import se.liu.ida.tdde46.types.Pong;

@Api("/ping")
@Path("/ping")
@Produces(MediaType.APPLICATION_JSON)
public class PingResource {
    private final AtomicLong counter;

    public PingResource() {
        this.counter = new AtomicLong();
    }

    @GET
    @ApiOperation(value="Send a ping, receive a pong.", notes="Provide name for personal greeting.", code=200, response=Pong.class)
    @Timed
    public Response respondToPing() {
        final String value = String.format("Pong!");
        return Response.ok(new Pong(counter.incrementAndGet(), value)).build();
    }
}
