package se.liu.ida.tdde46.types;

import java.util.Collections;
import java.util.HashMap;
import java.util.Map;

import com.google.common.base.Optional;

public class PrincipalsCollection {
	private final Map<String, Principal> principals = Collections.synchronizedMap(new HashMap<String, Principal>());
	
	public boolean add(final Principal principal) {
		return principals.put(principal.getName(), principal) == null;
	}

	public boolean add(final String name) {
		return add(new Principal(name));
	}
	
	public boolean remove(final Principal principal) {
		return principals.remove(principal.getName()) != null;
	}
	
	public boolean remove(final String name) {
		return remove(new Principal(name));
	}
	
	public Optional<Principal> get(final String name) {
		return Optional.fromNullable(principals.get(name));
	}
	
	public boolean isPresent(final String name) {
		return principals.containsKey(name);
	}
}
